.header {
  height: 130px;
  background-color: white;
  background-image: url(images/bg-dark.png);
  position: fixed;
  top: 0;
  left: 0;
  right: 0;

  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 100;
  box-shadow: 10px 10px 40px 10px rgb(59, 59, 59);
}

.left-section {
  display: flex;
  flex-direction: row;
  margin-right: 80px;
}

.right-section {
  display: flex;
  flex-direction: row;
  margin-left: 80px;

}


.right-section div,
.left-section div {
  font-weight: 700;
  text-wrap: nowrap;
  font-size: 20px;
}

.right-section a,
.left-section a {
  text-decoration: none;
  color: black;
}

.logo {
    height: 100px;
}

.domu,
.aktuality,
.terminy,
.galerie,
.o-nas,
.treneri {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 0 30px;
}

.underline {
  background-color: rgb(44, 44, 44);
  width: 70px;
  height: 3px;
  border-radius: 2px;
  opacity: 0;
  transition: opacity 0.15s;
  pointer-events: none;
}

.domu:hover .underline,
.aktuality:hover .underline,
.terminy:hover .underline,
.galerie:hover .underline,
.o-nas:hover .underline,
.treneri:hover .underline {
  opacity: 1;
}


@media (max-width: 500px) {
  .header {
    height: 80px;
    background-color: white;
    background-image: url(images/bg-dark.png);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
  
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    box-shadow: 5px 5px 50px 5px rgb(59, 59, 59);
  }
  
  .left-section {
    display: flex;
    flex-direction: column;
    margin-right: 0px;
  }
  
  .right-section {
    display: flex;
    flex-direction: column;
    margin-left: 0px;
  }
  
  
  .right-section div,
  .left-section div {
    font-weight: 700;
    text-wrap: nowrap;
    font-size: 15px;
  }
  
  .right-section a,
  .left-section a {
    text-decoration: none;
    color: black;
  }
  
  .logo {
      height: 60px;
  }

  .domu,
  .aktuality,
  .terminy,
  .galerie,
  .o-nas,
  .treneri {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  }
}


@media (min-width: 501px) and (max-width: 1000px) {
  .header {
    height: 100px;
    background-color: white;
    background-image: url(images/bg-dark.png);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
  
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    box-shadow: 5px 5px 50px 5px rgb(59, 59, 59);
  }
  
  .left-section {
    display: flex;
    flex-direction: column;
    margin-right: 40px;
  }
  
  .right-section {
    display: flex;
    flex-direction: column;
    margin-left: 40px;
  }
  
  
  .right-section div,
  .left-section div {
    font-weight: 700;
    text-wrap: nowrap;
    font-size: 15px;
  }
  
  .right-section a,
  .left-section a {
    text-decoration: none;
    color: black;
  }
  
  .logo {
      height: 80px;
  }

  .domu,
  .aktuality,
  .terminy,
  .galerie,
  .o-nas,
  .treneri {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  }
}

@media (min-width: 1001px) and (max-width: 1919px) {
  .header {
    height: 140px;
    background-color: white;
    background-image: url(images/bg-dark.png);
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
  
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 100;
    box-shadow: 5px 5px 50px 5px rgb(59, 59, 59);
  }
  
  .left-section {
    display: flex;
    flex-direction: row;
    margin-right: 20px;
  }
  
  .right-section {
    display: flex;
    flex-direction: row;
    margin-left: 20px;
  }
  
  
  .right-section div,
  .left-section div {
    font-weight: 700;
    text-wrap: nowrap;
    font-size: 18px;
  }
  
  .right-section a,
  .left-section a {
    text-decoration: none;
    color: black;
  }
  
  .logo {
      height: 110px;
  }

  .domu,
  .aktuality,
  .terminy,
  .galerie,
  .o-nas,
  .treneri {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  }
}



/*
@media (max-width: 1000px) {
  .header {
    height: 50px;
  }

  .logo-section {
    min-width: 170px;
    height: 80px;
    border-bottom-right-radius: 20px;
    display: flex;
  }

  .right-section div {
    font-size: 1.6vw;
  }

  .logo {
    height: 55px;
    margin-top: 15px;
    margin-left: 15px;
  }
}

.domu, .aktuality, .galerie, .o-nas, .treneri {
  display: flex;
  justify-content: center;
  cursor: pointer;
  z-index: 50;

}


.underline {
  position: absolute;
  background-color: rgb(44, 44, 44);
  width: 3vw;
  height: 0.2vw;
  border-radius: 6vw;
  margin-top: 2vw;
  opacity: 0;
  transition: opacity 0.15s;
  pointer-events: none;
}

.domu:hover .underline,
.aktuality:hover .underline,
.galerie:hover .underline,
.o-nas:hover .underline,
.treneri:hover .underline {
  opacity: 1;
}